Index: src/Formula.cpp
===================================================================
--- src/Formula.cpp	(revision 6e7147fbf707c3d045b0c5a64c360ce369ca6e10)
+++ src/Formula.cpp	(revision c83b9867c0e8889457b66bd2ef73e753c6979558)
@@ -361,32 +361,32 @@
 
 // instantiate Formula::iterator
-template Formula::_iterator<Formula::value_type>::_iterator(set_t&);
-template Formula::_iterator<Formula::value_type>::_iterator(set_t&,size_t);
-template Formula::_iterator<Formula::value_type>::_iterator(const Formula::_iterator<Formula::value_type>&);
-template Formula::_iterator<Formula::value_type>::~_iterator();
-template Formula::_iterator<Formula::value_type> &Formula::_iterator<Formula::value_type>::operator=(const _iterator &);
-template bool Formula::_iterator<Formula::value_type>::operator==(const _iterator&);
-template bool Formula::_iterator<Formula::value_type>::operator!=(const _iterator&);
-template Formula::_iterator<Formula::value_type> Formula::_iterator<Formula::value_type>::operator++();
-template Formula::_iterator<Formula::value_type> Formula::_iterator<Formula::value_type>::operator++(int);
-template Formula::_iterator<Formula::value_type> Formula::_iterator<Formula::value_type>::operator--();
-template Formula::_iterator<Formula::value_type> Formula::_iterator<Formula::value_type>::operator--(int);
-template Formula::value_type Formula::_iterator<Formula::value_type>::operator*();
-template Formula::value_type *Formula::_iterator<Formula::value_type>::operator->();
+template Formula::iterator::_iterator(set_t&);
+template Formula::iterator::_iterator(set_t&,size_t);
+template Formula::iterator::_iterator(const Formula::iterator&);
+template Formula::iterator::~_iterator();
+template Formula::iterator &Formula::iterator::operator=(const Formula::iterator&);
+template bool Formula::iterator::operator==(const Formula::iterator&);
+template bool Formula::iterator::operator!=(const Formula::iterator&);
+template Formula::iterator Formula::iterator::operator++();
+template Formula::iterator Formula::iterator::operator++(int);
+template Formula::iterator Formula::iterator::operator--();
+template Formula::iterator Formula::iterator::operator--(int);
+template Formula::value_type Formula::iterator::operator*();
+template Formula::value_type *Formula::iterator::operator->();
 
 // instantiate Formula::const_iterator
-template Formula::_iterator<const Formula::value_type>::_iterator(set_t&);
-template Formula::_iterator<const Formula::value_type>::_iterator(set_t&,size_t);
-template Formula::_iterator<const Formula::value_type>::_iterator(const Formula::_iterator<const Formula::value_type>&);
-template Formula::_iterator<const Formula::value_type>::~_iterator();
-template Formula::_iterator<const Formula::value_type> &Formula::_iterator<const Formula::value_type>::operator=(const _iterator &);
-template bool Formula::_iterator<const Formula::value_type>::operator==(const _iterator&);
-template bool Formula::_iterator<const Formula::value_type>::operator!=(const _iterator&);
-template Formula::_iterator<const Formula::value_type> Formula::_iterator<const Formula::value_type>::operator++();
-template Formula::_iterator<const Formula::value_type> Formula::_iterator<const Formula::value_type>::operator++(int);
-template Formula::_iterator<const Formula::value_type> Formula::_iterator<const Formula::value_type>::operator--();
-template Formula::_iterator<const Formula::value_type> Formula::_iterator<const Formula::value_type>::operator--(int);
-template const Formula::value_type Formula::_iterator<const Formula::value_type>::operator*();
-template const Formula::value_type *Formula::_iterator<const Formula::value_type>::operator->();
+template Formula::const_iterator::_iterator(set_t&);
+template Formula::const_iterator::_iterator(set_t&,size_t);
+template Formula::const_iterator::_iterator(const Formula::const_iterator&);
+template Formula::const_iterator::~_iterator();
+template Formula::const_iterator &Formula::const_iterator::operator=(const Formula::const_iterator&);
+template bool Formula::const_iterator::operator==(const Formula::const_iterator&);
+template bool Formula::const_iterator::operator!=(const Formula::const_iterator&);
+template Formula::const_iterator Formula::const_iterator::operator++();
+template Formula::Formula::const_iterator Formula::const_iterator::operator++(int);
+template Formula::Formula::const_iterator Formula::const_iterator::operator--();
+template Formula::Formula::const_iterator Formula::const_iterator::operator--(int);
+template const Formula::value_type Formula::const_iterator::operator*();
+template const Formula::value_type *Formula::const_iterator::operator->();
 
 /********************** I/O of Formulas ************************************************/
